import { StraightNumericAxisBase } from "./StraightNumericAxisBase";
import { IScaler } from "./IScaler";
import { AxisOrientation } from "./AxisOrientation";
import { AxisView } from "./AxisView";
import { Type, IList$1 } from "igniteui-angular-core";
import { AxisLabelPanelBase } from "./AxisLabelPanelBase";
import { Axis } from "./Axis";
import { Rect } from "igniteui-angular-core";
import { ScalerParams } from "./ScalerParams";
import { NumericScaler } from "./NumericScaler";
import { NumericAxisRenderer } from "./NumericAxisRenderer";
import { NumericAxisRenderingParameters } from "./NumericAxisRenderingParameters";
import { StraightNumericAxisBaseView } from "./StraightNumericAxisBaseView";
/**
 * @hidden
 */
export declare class NumericYAxis extends StraightNumericAxisBase implements IScaler {
    static $t: Type;
    bm(): AxisView;
    constructor();
    az(): AxisLabelPanelBase;
    ak(): Axis;
    protected get_dq(): boolean;
    fs(): number;
    ft(a: number, b: ScalerParams): number;
    j6(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j5(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    fw(a: number, b: ScalerParams): number;
    j7(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    sn(a: number, b: number): void;
    oo(): NumericAxisRenderer;
    or(a: Rect, b: Rect, c: Rect, d: Rect): NumericAxisRenderingParameters;
    protected k4(a: boolean): void;
    protected li(a: Rect, b: Rect): void;
    protected get_bk(): AxisOrientation;
    get bk(): AxisOrientation;
    ot(): NumericScaler;
    j$d(a: number, b: ScalerParams): number;
    j$c(a: number, b: ScalerParams): number;
    j$e(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$g(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    get j$b(): boolean;
    j$a(): number[];
}
/**
 * @hidden
 */
export declare class NumericYAxisView extends StraightNumericAxisBaseView {
    static $t: Type;
    constructor(a: NumericYAxis);
    protected bo: NumericYAxis;
    al(): void;
}
